aboutsummaryrefslogtreecommitdiffhomepage
path: root/tensorflow/tools/ci_build/install/install_bootstrap_deb_packages.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tensorflow/tools/ci_build/install/install_bootstrap_deb_packages.sh')
-rwxr-xr-xtensorflow/tools/ci_build/install/install_bootstrap_deb_packages.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/tensorflow/tools/ci_build/install/install_bootstrap_deb_packages.sh b/tensorflow/tools/ci_build/install/install_bootstrap_deb_packages.sh
new file mode 100755
index 0000000000..3b574692a0
--- /dev/null
+++ b/tensorflow/tools/ci_build/install/install_bootstrap_deb_packages.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+# Copyright 2015 Google Inc. All Rights Reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ==============================================================================
+
+set -e
+
+# Install bootstrap dependencies from ubuntu deb repository.
+apt-get update
+apt-get install -y \
+ software-properties-common
+apt-get clean
+rm -rf /var/lib/apt/lists/*